# -*- ruby -*-
_VERSION = "1.2.0"

Gem::Specification.new do |s|
  s.name = "fwt"
  s.version = _VERSION
  s.date = "2017-02-16"
  s.summary = "Fast Walsh Transform native Ruby implementations."
  s.email = "pjs@alum.mit.edu"
  s.description = "Implements Hadamard- and sequency-ordered Fast Walsh Transforms as extensions of class Array.  Adds a boolean power_of_2? method to class Integer."
  s.author = "Paul J Sanchez"
  s.files = %w[
    fwt.gemspec
    lgpl.txt
    lib/fwt.rb
    Rakefile
    test/test_fwt.rb
  ]
  s.required_ruby_version = '>= 1.8.1'
  s.license = 'LGPL'
end
